diff options
author | Chris Rees <crees@FreeBSD.org> | 2011-07-03 15:12:31 +0000 |
---|---|---|
committer | Chris Rees <crees@FreeBSD.org> | 2011-07-03 15:12:31 +0000 |
commit | 501ee714ab5623e6333ac288c218b95f687e4501 (patch) | |
tree | fdf6218dbbdbf52d5cad5137c2966ef419f7cf0f /dns/powerdns-recursor/pkg-install | |
parent | d2e4a5a9e07ed2383d08ea0d7af7a4395abf3579 (diff) | |
download | ports-501ee714ab5623e6333ac288c218b95f687e4501.tar.gz ports-501ee714ab5623e6333ac288c218b95f687e4501.zip |
- Use USERS and GROUPS
PR: ports/157587
Submitted by: Chris Rees <utisoft@gmail.com>
Approved by: rene (mentor)
Notes
Notes:
svn path=/head/; revision=277001
Diffstat (limited to 'dns/powerdns-recursor/pkg-install')
-rw-r--r-- | dns/powerdns-recursor/pkg-install | 32 |
1 files changed, 0 insertions, 32 deletions
diff --git a/dns/powerdns-recursor/pkg-install b/dns/powerdns-recursor/pkg-install deleted file mode 100644 index 8177e29e7cd1..000000000000 --- a/dns/powerdns-recursor/pkg-install +++ /dev/null @@ -1,32 +0,0 @@ -#!/bin/sh - -if [ "$2" != "PRE-INSTALL" ]; then - exit 0 -fi - -PDNSUSER=${PDNSUSER:-pdns_recursor} -PDNSUID=${PDNSUID:-120} -PDNSGROUP=${PDNSGROUP:-pdns} -PDNSGID=${PDNSGID:-120} - -if ! pw groupshow "$PDNSGROUP" 2>/dev/null 1>&2; then - if pw groupadd $PDNSGROUP -g $PDNSGID; then - echo "=> Added group \"$PDNSGROUP\"." - else - echo "=> Adding group \"$PDNSGROUP\" failed..." - exit 1 - fi -fi - -if ! pw usershow "$PDNSUSER" 2>/dev/null 1>&2; then - if pw useradd $PDNSUSER -u $PDNSUID -g $PDNSGROUP -h - \ - -s "/sbin/nologin" -d "/nonexistent" \ - -c "pdns_recursor pseudo-user"; \ - then - echo "=> Added user \"$PDNSUSER\"." - else - echo "=> Adding user \"$PDNSUSER\" failed..." - exit 1 - fi -fi -exit 0 |